Description

The vmware snippet does not run correctly and crashes the post install script.

#this never gets run as a result

/usr/bin/wget -q -O /dev/null --no-check-certificate http://192.168.1.1:3000/unattended/built

1. Snippet file

app/views/unattended/snippets/_vmware.erb

1. This assumes that an rpm exists on some repo that would need to exist in the first place

yum -t -y -e 0  install VMwareTools

1. vmware usually provides a tar.gz file for the tools installer.

1. Shouldn't we specify the full path to dmidecode?

if dmidecode | grep -qi VMware

I think getting this info out of /proc might be easier or using facter to determine if the vm is virtual and what kind of vm it is.

History

#1 - 07/25/2011 02:32 AM - Ohad Levy

- Status changed from New to Feedback

I think we can probably remove vmware as a default snippet, and let everyone adjust for their needs?

this snippets were written almost two years ago, so a review is more then welcomed! :)

#2 - 11/15/2012 08:27 AM - Benjamin Papillon

I'm also in favor of removing this snippet. There are others snippets for the admin to understand how snippets work.

The good way to install VMWare tools nowadays on a recent rhel platform is to use their rpm on their repositories.

#3 - 05/17/2017 06:31 AM - Anonymous

- Description updated

- Status changed from Feedback to Resolved

Resolved by now, I guess
